Skip to main content
POST
/
v1
/
workflows
/
{id}
/
duplicate
Duplicate workflow
curl --request POST \
  --url https://app.galaxy.ai/api/v1/workflows/{id}/duplicate \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "thumbnailUrl": "<string>",
  "nodes": [
    {
      "id": "<string>",
      "type": "<string>",
      "position": {
        "x": 123,
        "y": 123
      },
      "data": "<unknown>"
    }
  ],
  "edges": [
    {
      "id": "<string>",
      "source": "<string>",
      "target": "<string>",
      "sourceHandle": "<string>",
      "targetHandle": "<string>"
    }
  ],
  "updatedAt": "<string>",
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Minimum string length: 1

Response

Successful response

id
string
required
name
string
required
description
string | null
required
thumbnailUrl
string | null
required
nodes
object[]
required
edges
object[]
required
updatedAt
string
required
type
string